Show / Hide Table of Contents

# Struct hkaAnimatedSkeleton

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaAnimatedSkeleton

### Fields

| Improve this Doc View Source

#### AnimationControls

##### Declaration

    public hkArray<Pointer<hkaDefaultAnimationControl>> AnimationControls

##### Field Value

Type | Description
--- | ---
hkArray<Pointer<hkaDefaultAnimationControl>> |

| Improve this Doc View Source

#### hkaAnimationControlListener

##### Declaration

    public hkaAnimationControlListener hkaAnimationControlListener

##### Field Value

Type | Description
--- | ---
hkaAnimationControlListener |

| Improve this Doc View Source

#### hkReferencedObject

##### Declaration

    public hkReferencedObject hkReferencedObject

##### Field Value

Type | Description
--- | ---
hkReferencedObject |

| Improve this Doc View Source

#### NumQuantizedAnimations

##### Declaration

    public int NumQuantizedAnimations

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ReferencePoseWeightThreshold

##### Declaration

    public float ReferencePoseWeightThreshold

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Skeleton

##### Declaration

    public hkaSkeleton*Skeleton

##### Field Value

Type | Description
--- | ---
hkaSkeleton* |

### Methods

| Improve this Doc View Source

#### addAnimationControl(hkaAnimationControl*)

##### Declaration

    public void addAnimationControl(hkaAnimationControl*animation)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaAnimationControl* | animation |

| Improve this Doc View Source

#### Ctor1(hkaSkeleton*)

##### Declaration

    public hkaAnimatedSkeleton*Ctor1(hkaSkeleton*skeleton)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaSkeleton* | skeleton |

##### Returns

Type | Description
--- | ---
hkaAnimatedSkeleton* |

| Improve this Doc View Source

#### Dtor()

##### Declaration

    public void Dtor()

| Improve this Doc View Source

#### getDeltaReferenceFrame(Single, hkQsTransformf*)

##### Declaration

    public void getDeltaReferenceFrame(float deltaTimestep, hkQsTransformf*deltaMotionOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | deltaTimestep |
hkQsTransformf* | deltaMotionOut |

| Improve this Doc View Source

#### removeAnimationControl(hkaAnimationControl*)

##### Declaration

    public void removeAnimationControl(hkaAnimationControl*animation)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaAnimationControl* | animation |

| Improve this Doc View Source

#### sampleAndCombineAnimations(hkQsTransformf*, Single*)

##### Declaration

    public void sampleAndCombineAnimations(hkQsTransformf*poseLocalSpaceOut, float *floatSlotsOut)

##### Parameters

Type | Name | Description
--- | --- | ---
hkQsTransformf* | poseLocalSpaceOut |
System.Single* | floatSlotsOut |

| Improve this Doc View Source

#### sampleAndCombineIndividual(UInt32, Int16*, hkQsTransformf*, UInt32, Int16*, Single*)

##### Declaration

    public void sampleAndCombineIndividual(uint numBones, short *individualBones, hkQsTransformf*poseLocalSpaceOut, uint numFloatSlots, short *individualSlots, float *floatSlotsOut)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | numBones |
System.Int16* | individualBones |
hkQsTransformf* | poseLocalSpaceOut |
System.UInt32 | numFloatSlots |
System.Int16* | individualSlots |
System.Single* | floatSlotsOut |

| Improve this Doc View Source

#### sampleAndCombineIndividualBones(hkQsTransformf*, Int16*, UInt32)

##### Declaration

    public void sampleAndCombineIndividualBones(hkQsTransformf*localSpaceOut, short *bones, uint numBones)

##### Parameters

Type | Name | Description
--- | --- | ---
hkQsTransformf* | localSpaceOut |
System.Int16* | bones |
System.UInt32 | numBones |

| Improve this Doc View Source

#### sampleAndCombineIndividualSlots(Single*, Int16*, UInt32)

##### Declaration

    public void sampleAndCombineIndividualSlots(float *floatOut, short *slots, uint numSlots)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | floatOut |
System.Int16* | slots |
System.UInt32 | numSlots |

| Improve this Doc View Source

#### sampleAndCombineInternal(hkQsTransformf*, UInt32, Single*, UInt32, Boolean)

##### Declaration

    public void sampleAndCombineInternal(hkQsTransformf*poseLocalSpaceOut, uint maxBones, float *floatSlotsOut, uint maxFloatSlots, bool partial)

##### Parameters

Type | Name | Description
--- | --- | ---
hkQsTransformf* | poseLocalSpaceOut |
System.UInt32 | maxBones |
System.Single* | floatSlotsOut |
System.UInt32 | maxFloatSlots |
System.Boolean | partial |

| Improve this Doc View Source

#### sampleAndCombinePartialAnimations(hkQsTransformf*, UInt32, Single*, UInt32)

##### Declaration

    public void sampleAndCombinePartialAnimations(hkQsTransformf*poseLocalSpaceOut, uint maxBones, float *floatSlotsOut, uint maxFloatSlots)

##### Parameters

Type | Name | Description
--- | --- | ---
hkQsTransformf* | poseLocalSpaceOut |
System.UInt32 | maxBones |
System.Single* | floatSlotsOut |
System.UInt32 | maxFloatSlots |

| Improve this Doc View Source

#### sampleAndCombineSingleBone(hkQsTransformf*, Int16)

##### Declaration

    public void sampleAndCombineSingleBone(hkQsTransformf*localSpaceOut, short bone)

##### Parameters

Type | Name | Description
--- | --- | ---
hkQsTransformf* | localSpaceOut |
System.Int16 | bone |

| Improve this Doc View Source

#### sampleAndCombineSingleSlot(Single*, Int16)

##### Declaration

    public void sampleAndCombineSingleSlot(float *floatOut, short slot)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single* | floatOut |
System.Int16 | slot |

| Improve this Doc View Source

#### stepDeltaTime(Single)

##### Declaration

    public void stepDeltaTime(float time)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | time |